#include <iostream>
#include <bits/stdc++.h>
using namespace std;
const int maxN =1e5+5;
long long niz[maxN];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m;
    long long ans=0;
    cin>>n>>m;
    for(int i=1;i<=n;i++)
    {
        cin>>niz[i];
    }
    int x,y;
    for(int i=0;i<m;i++)
    {
        cin>>x>>y;
        ans+=max(niz[x]+niz[y],-(niz[x]+niz[y]));
    }
    cout<<ans;
    return 0;
}